Skip to main content
GET
/
workspaces
/
{workspaceId}
/
sync-logs
/
{id}
/
job-status
Get job status for sync log
curl --request GET \
  --url https://api.qontext.ai/workspaces/{workspaceId}/sync-logs/{id}/job-status \
  --header 'X-API-Key: <api-key>'
import requests

url = "https://api.qontext.ai/workspaces/{workspaceId}/sync-logs/{id}/job-status"

headers = {"X-API-Key": "<api-key>"}

response = requests.get(url, headers=headers)

print(response.text)
const options = {method: 'GET', headers: {'X-API-Key': '<api-key>'}};

fetch('https://api.qontext.ai/workspaces/{workspaceId}/sync-logs/{id}/job-status', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
  "id": "1234",
  "status": "completed",
  "progress": 0,
  "completedOn": "2025-09-28T12:51:47.293Z"
}
{
"message": [
"<error message>",
"<error message>"
],
"error": "Bad Request",
"statusCode": 400
}
{
"message": "<error message(s)>",
"error": "Unauthorized",
"statusCode": 401
}
{
"message": "<error message(s)>",
"error": "Forbidden",
"statusCode": 403
}
{
"message": "<error message(s)>",
"error": "Not Found",
"statusCode": 404
}
{
"error": "Internal Server Error",
"statusCode": 500
}

Authorizations

X-API-Key
string
header
required

API key for the Qontext API

Path Parameters

workspaceId
string
required

The unique identifier of the workspace the sync log belongs to.

Example:

"ws_123e4567-e89b-12d3-a456-426614174000"

id
string
required

The unique identifier of the sync log.

Example:

"sync_42a17e56-b98d-4fd9-b2ce-5a8b12d7f9ad"

Response

Job status successfully retrieved

id
string
required

Id of the sync log

Example:

"1234"

status
string
required

Status of the sync job

Example:

"completed"

progress
number
required

Progress of the sync job

Example:

0

completedOn
string
required

Datetime of the sync job completion

Example:

"2025-09-28T12:51:47.293Z"